Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454049 - Preserving a LV while re-install using kickstart
Summary: Preserving a LV while re-install using kickstart
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-04 05:26 UTC by Piyush Yaduvanshi
Modified: 2008-09-30 17:27 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-30 17:27:02 UTC


Attachments (Terms of Use)

Description Piyush Yaduvanshi 2008-07-04 05:26:33 UTC
Description of problem: While reinstalling a system using kickstart its not
possible to preserve a single Logical Volume. Currently the complete VG needs to
be preservered.

How reproducible: Always

Steps to Reproduce: Install a system with multiple LV's in a single VG. Now
re-install the system using kickstart and try preserving a single LV.

Actual results: No actual option to to this.

Expected results: Option must be provided to accomplish this task.

Additional info: However a potential workaround would be to do the VG split from
a %pre script to isolate the LV from the existing VG and then just name the LV
with --preserve in the partitioning section.

Comment 1 Chris Lumens 2008-07-15 21:02:51 UTC
The logvol command allows specifying --useexisting, which should format an
existing logical volume and reuse it.  Is this not working?  Please attach your
kickstart file and /tmp/anaconda.log file to this bug report.


Note You need to log in before you can comment on or make changes to this bug.